{if NOT $permission_addctban}
	Access Denied!
{else}
	<div id="ctmsg-green" style="display:none;">
		<i><img src="./images/yay.png" alt="Success" /></i>
		<b>CT Ban Added</b><br />
		The new CT ban has been added to the system.<br /><br />
		<i>Redirecting back to bans page</i>
	</div>
	
	<div id="add-group1">
		<h3>Add CT Ban</h3>
		For more information or help regarding a certain subject move your mouse over the question mark.<br /><br />
		<table width="90%" style="border-collapse:collapse;" id="group.details" cellpadding="3">
		<tr>
    		<td valign="top">
    			<div class="rowdesc">
    				{help_icon title="Nickname" message="The nickname of the person to ban."}Nickname
    			</div>
    		</td>
    		<td>
    			<div align="left">
      			<input type="text" TABINDEX=3 class="submit-fields" id="ctname" name="name" />
    			</div>
    			<div id="ctname.msg" class="badentry"></div>
    		</td>
  		</tr>
  		<tr>
    		<td valign="top">
    			<div class="rowdesc">
    				{help_icon title="Steam ID" message="The Steam ID of the person to ban."}Steam ID
    			</div>
    		</td>
    		<td>
    			<div align="left">
      			<input type="text" TABINDEX=3 class="submit-fields" id="ctsteam" name="steam" />
    			</div>
    			<div id="ctsteam.msg" class="badentry"></div>
    		</td>
  		</tr>
 		  <tr>
    		<td valign="top" width="35%">
    			<div class="rowdesc">
    				{help_icon title="Ban Reason" message="Explain in detail, why this ban is being made."}Ban Reason 
    			</div>
    		</td>
    		<td>
    			<div align="left">
     				<input type="text" class="submit-fields" id="cttxtReason" name="txtReason"></textarea>
    			</div>
    			<div id="ctreason.msg" class="badentry"></div>
    		</td>
      </tr>
      <tr>
    		<td valign="top" width="35%">
    			<div class="rowdesc">
    				{help_icon title="Ban Length" message="Select how long you want to ban this person for."}Ban Length 
    			</div>
    		</td>
    		<td>
    			<div align="left">
      				<select id="ctbanlength" TABINDEX=5 class="submit-fields">
						<option value="0">Permanent</option>
						<optgroup label="minutes">
							<option value="1">1 minute</option>
							<option value="5">5 minutes</option>
							<option value="10">10 minutes</option>
							<option value="15">15 minutes</option>
							<option value="30">30 minutes</option>
							<option value="45">45 minutes</option>
						</optgroup>
						<optgroup label="hours">
							<option value="60">1 hour</option>
							<option value="120">2 hours</option>
							<option value="180">3 hours</option>
							<option value="240">4 hours</option>
							<option value="480">8 hours</option>
							<option value="720">12 hours</option>
						</optgroup>
						<optgroup label="days">
							<option value="1440">1 day</option>
							<option value="2880">2 days</option>
							<option value="4320">3 days</option>
							<option value="5760">4 days</option>
							<option value="7200">5 days</option>
							<option value="8640">6 days</option>
						</optgroup>
						<optgroup label="weeks">
							<option value="10080">1 week</option>
							<option value="20160">2 weeks</option>
							<option value="30240">3 weeks</option>
						</optgroup>
						<optgroup label="months">
							<option value="43200">1 month</option>
							<option value="86400">2 months</option>
							<option value="129600">3 months</option>
							<option value="259200">6 months</option>
							<option value="518400">12 months</option>
						</optgroup>
					</select>
    			</div>
    			<div id="length.msg" ></div>
    		</td>
  		</tr>
  		
 
  		<tr>
    		<td>&nbsp;</td>
	    	<td>
	      		{sb_button text="Add CT Ban" onclick="ProcessCTBan();" class="ok" id="aban" submit=false}
				      &nbsp;
				{sb_button text="Back" onclick="history.go(-1)" class="cancel" id="aback"}
	      	</td>
  		</tr>
	</table>
</div>
{/if}