{if $edit}
	<form action="index.php?p=ctbanlist&a=edit&steamid={$selected.steamid}" method="post">
	<table>
	<tr>
    		<td valign="top">
    			<div class="rowdesc">
    				{help_icon title="Nickname" message="The nickname of the person to ban."}Nickname
    			</div>
    		</td>
    		<td>
    			<div align="left">
      			<input type="text" TABINDEX=3 class="submit-fields" id="ctname" value="{$selected.name}" name="name" />
    			</div>
    			<div id="ctname.msg" class="badentry"></div>
    		</td>
  	</tr>
  	<tr>
    		<td valign="top">
    			<div class="rowdesc">
    				{help_icon title="Steam ID" message="The Steam ID of the person to ban."}Steam ID
    			</div>
    		</td>
    		<td>
    			<div align="left">
      			<input type="text" TABINDEX=3 class="submit-fields" id="ctsteam" value="{$selected.steamid}" name="steam" />
    			</div>
    			<div id="ctsteam.msg" class="badentry"></div>
    		</td>
  	</tr>
 	<tr>
    		<td valign="top" width="35%">
    			<div class="rowdesc">
    				{help_icon title="Ban Reason" message="Explain in detail, why this ban is being made."}Ban Reason 
    			</div>
    		</td>
    		<td>
    			<div align="left">
     				<input type="text" class="submit-fields" id="cttxtReason" value="{$selected.reason}" name="reason"></textarea>
    			</div>
    			<div id="ctreason.msg" class="badentry"></div>
    		</td>
      </tr>
	<tr>
    		<td valign="top" width="35%">
    			<div class="rowdesc">
    				{help_icon title="Ban Length" message="Select how long you want to ban this person for."}Ban Length 
    			</div>
    		</td>
    		<td>
    			<div align="left">
      				<select id="ctbanlength" name="expire" TABINDEX=5 class="submit-fields">
						<option value="0">Permanent</option>
						<optgroup label="minutes">
							<option value="1">1 minute</option>
							<option value="5">5 minutes</option>
							<option value="10">10 minutes</option>
							<option value="15">15 minutes</option>
							<option value="30">30 minutes</option>
							<option value="45">45 minutes</option>
						</optgroup>
						<optgroup label="hours">
							<option value="60">1 hour</option>
							<option value="120">2 hours</option>
							<option value="180">3 hours</option>
							<option value="240">4 hours</option>
							<option value="480">8 hours</option>
							<option value="720">12 hours</option>
						</optgroup>
						<optgroup label="days">
							<option value="1440">1 day</option>
							<option value="2880">2 days</option>
							<option value="4320">3 days</option>
							<option value="5760">4 days</option>
							<option value="7200">5 days</option>
							<option value="8640">6 days</option>
						</optgroup>
						<optgroup label="weeks">
							<option value="10080">1 week</option>
							<option value="20160">2 weeks</option>
							<option value="30240">3 weeks</option>
						</optgroup>
						<optgroup label="months">
							<option value="43200">1 month</option>
							<option value="86400">2 months</option>
							<option value="129600">3 months</option>
							<option value="259200">6 months</option>
							<option value="518400">12 months</option>
						</optgroup>
					</select>
    			</div>
    			<div id="length.msg" ></div>
    		</td>
  		</tr>
  		
 
  		<tr>
    		<td>&nbsp;</td>
	    	<td>
	      		{sb_button text="Edit" class="ok" id="aban" submit=true}
				      &nbsp;
				{sb_button text="Back" onclick="history.go(-1)" class="cancel" id="aback"}
	      	</td>
  		</tr>
	</table>
	</form>
{else}
<h3 align="left">Banlist Overview - <i>Total Bans: {$total_bans}</i></h3>
<p class="h3v2" align="left">Please Note:<i> CT Ban time reduces only when you are alive.</i></p>
<div id="banlist-nav"> 
{$ban_nav}
</div>
<div id="banlist">
	<table width="100%" cellspacing="0" cellpadding="0" align="center" class="listtable">
		<tr>
			{if $view_bans}
			<td height="16" class="listtable_1" style="padding:0px;width:3px;" align="center"><div class="ok" style="height:16px;width:16px;cursor:pointer;" title="Select All" name="tickswitch" id="tickswitch" onclick="TickSelectAll()"></div></td>
			{/if}
			<td width="11%" height="16" class="listtable_top" align="center"><b>Date</b></td>
			<td height="16" class="listtable_top"><b>Player</b></td>
			<td width="30%" height="16" class="listtable_top" align="center"><b>Reason</b></td>
			<td width="10%" height="16" class="listtable_top" align="center"><b>Admin</b></td>
			<td width="10%" height="16" class="listtable_top" align="center"><b>Expires in</b></td>
			{if $general_unban || $edit_own || $unban_own}
				<td width="15%" height="16" class="listtable_top" align="center"><b>Actions</b></td>
			{/if}
		</tr>
		{foreach from=$ban_list item=ban name=banlist}
			<tr class="opener tbl_out" onmouseout="this.className='tbl_out'" onmouseover="this.className='tbl_hover'" >
		{if $view_bans}
        {/if}
		<td height="16" class="listtable_1">{$ban.date|date_format:"%d/%m/%Y"}</td>
        <td height="16" class="listtable_1">
		  <div style="float:left;">
          {if empty($ban.name)}
            <i><font color="#677882">no nickname present</font></i>
          {else}
            {$ban.name|escape:'html'}
          {/if}
		  </div>
        </td>
	<td width="30%" height="16" align="center" class="listtable_1">{$ban.reason}</td>
	<td height="16" class="listtable_1">{$ban.adminname}</td>
        <td width="10%" height="16" align="center" class="listtable_1">{$ban.ctbantime}</td>
	{if $general_unban || $edit_own || $unban_own}
		{if $general_unban || $ban.admin == $steamid}
			<td width="15%" height="16" class="listtable_1" align="center">
			{if $general_unban || $edit_own }
				<a href="index.php?p=ctbanlist&a=edit&steamid={$ban.steamid}" style="color:blue;font-weight:bold">Edit</a> 
			{/if}
			{if $general_unban || $unban_own }
				<a href="index.php?p=ctbanlist&a=unban&steamid={$ban.steamid}" style="color:orange;font-weight:bold">Unban</a> 
			{/if}
			{if $general_unban }
				<a href="index.php?p=ctbanlist&a=delete&steamid={$ban.steamid}" style="color:red;font-weight:bold">Delete</a>
			{/if}
			</td> 
		{/if}
	{/if}
			</tr>
			<!-- ###############[ Start Sliding Panel ]################## -->
			<tr>
        <td colspan="7" align="center">
          <div class="opener"> 
						<table width="80%" cellspacing="0" cellpadding="0" class="listtable">
              <tr>
                <td height="16" align="left" class="listtable_top" colspan="3">
									<b>Ban Details</b>            
								</td>
              </tr>
              <tr align="left">
                <td width="20%" height="16" class="listtable_1">Player</td>
                <td height="16" class="listtable_1">
                  {if empty($ban.name)}
                    <i><font color="#677882">no nickname present</font></i>
                  {else}
                    {$ban.name|escape:'html'}
                  {/if}
                </td>
              </tr>
              <tr align="left">
                <td width="20%" height="16" class="listtable_1">Steam ID</td>
                <td height="16" class="listtable_1">
                  {if empty($ban.steamid)}
                    <i><font color="#677882">no Steam ID present</font></i>
                  {else}
                    {$ban.steamid}
                  {/if}
                </td>
              </tr>
              {if $ban.type == 0}
              <tr align="left">
                <td width="20%" height="16" class="listtable_1">Steam Community</td>
                <td height="16" class="listtable_1"><a href="http://steamcommunity.com/profiles/{$ban.communityid}" target="_blank">{$ban.communityid}</a></td>
              </tr>
              {/if}
              <tr align="left">
					        </tr>

					        <tr align="left">
					            <td width="20%" height="16" class="listtable_1">Expires in</td>
					            <td height="16" class="listtable_1">
					            	{if $ban.expires == "never"}
		     							<i><font color="#677882">Not applicable.</font></i>
		     						{else}
		     							{$ban.ctbantime}
		     						{/if}
		     					</td>
							</tr>
							<tr align="left">
								<td width="20%" height="16" class="listtable_1">Reason</td>
								<td height="16" class="listtable_1">{$ban.reason|escape:'html'}</td>
							</tr>
						</table>	
					</div>
          		</td>
          	</tr>
          	<!-- ###############[ End Sliding Panel ]################## -->
		{/foreach}
	</table>
</div>
{literal}
<script type="text/javascript">window.addEvent('domready', function(){	
InitAccordion('tr.opener', 'div.opener', 'mainwrapper');
{/literal}
{if $view_bans}
$('tickswitch').value=0;
{/if}
{literal}
}); 
</script>
{/literal}
{/if}