<?php
/**
 * =============================================================================
 * Banlist page
 *
 * @author SteamFriends Development Team
 * @version 1.0.0
 * @copyright SourceBans (C)2007 SteamFriends.com.  All rights reserved.
 * @package SourceBans
 * @link http://www.sourcebans.net
 *
 * @version $Id: page.banlist.php 292 2009-07-19 19:49:35Z peace-maker $
 * =============================================================================
 */
global $theme;
if(!defined("IN_SB")){echo "You should not be here. Only follow links!";die();}
$BansPerPage = SB_BANS_PER_PAGE;
$servers = array();
global $userbank;
function setPostKey()
{
	if(isset($_SERVER['REMOTE_IP']))
		$_SESSION['banlist_postkey'] = md5($_SERVER['REMOTE_IP'].time().rand(0,100000));
	else
		$_SESSION['banlist_postkey'] = md5(time().rand(0,100000));
}
if (!isset($_SESSION['banlist_postkey']) || strlen($_SESSION['banlist_postkey']) < 4)
	setPostKey();

$page = 1;
$pagelink = "";

$conn = new mysqli(SM_DB_HOST, SM_DB_USER, SM_DB_PASS, SM_DB_NAME);

if (isset($_GET['a']) && isset($_GET['steamid']))
{
	if($userbank->HasAccess(ADMIN_OWNER|ADMIN_UNBAN|ADMIN_UNBAN_OWN_BANS|ADMIN_UNBAN_GROUP_BANS))
	{
		if($_GET['a'] == "delete")
		{
			$conn->query("DELETE FROM CTBans WHERE steamid=\"".$_GET["steamid"]."\"");
			echo "<script>ShowBox('Player Deleted', 'Player has been deleted from CTBans.', 'green', 'index.php?p=ctbanlist$pagelink');</script>";
		} else if($_GET['a'] == "unban")
		{
			$conn->query("UPDATE CTBans SET ctbantime=0, active=0 WHERE steamid=\"".$_GET["steamid"]."\"");
			echo "<script>ShowBox('Player Unbanned', 'Player has been unbanned from CTBans.', 'green', 'index.php?p=ctbanlist$pagelink');</script>";
		} else if($_GET['a'] == "edit")
		{
			if(isset($_POST["expire"]))
			{
				$conn->query("UPDATE CTBans SET steamid=\"".$_POST["steam"]."\", name=\"".$_POST["name"]."\", reason=\"".$_POST["reason"]."\", ctbantime=\"".$_POST["expire"]."\", active=1 WHERE steamid=\"".$_GET["steamid"]."\"");
				echo "<script>ShowBox('Player Edited', 'Player has been edited.', 'green', 'index.php?p=ctbanlist$pagelink');</script>";
			}
			else
			{
				$theme->assign('edit', true);
				$query = $conn->query("SELECT * FROM CTBans WHERE steamid=\"".$_GET["steamid"]."\"");
				$theme->assign('selected', $query->fetch_assoc());
			}
		}
	}
}

$query = $conn->query("SELECT * FROM CTBans ORDER BY date DESC");

$theme->assign('general_unban', $userbank->HasAccess(ADMIN_EDIT_SERVERS));
$theme->assign('unban_own', $userbank->HasAccess(ADMIN_UNBAN_OWN_BANS));
$theme->assign('edit_own', $userbank->HasAccess(ADMIN_EDIT_OWN_BANS));
$theme->assign('steamid', $userbank->GetProperty('authid'));
$theme->assign('total_bans', $query->num_rows);

$data = array();

while ($row = $query->fetch_assoc())
{
	$row['communityid']=SteamIDToFriendID($row['steamid']);
	if($row['ctbantime'] > 0)
	{
		if($row['ctbantime']<60)
			$row['ctbantime']=$row['ctbantime']." minutes";
		else if($row['ctbantime'] < 3600)
			$row['ctbantime']=round($row['ctbantime']/60, 2)." hours";
		else
			$row['ctbantime']=round($row['ctbantime']/(24*60), 2)." days";
	}
	else
	{
		if($row["active"]==0)
			$row['ctbantime'] = "Expired";
		else
			$row['ctbantime'] = "Never";
	}
	if($row['admin']=="CONSOLE")
		$row["adminname"] = "CONSOLE";
	else
	{
		$admin = $GLOBALS['db']->GetRow("SELECT user FROM sb_admins WHERE authid=\"".$row['admin']."\"");
		$row['adminname'] = $admin["user"];
	}
	
	if($row['reason'] == "")
	{
		$row['reason'] = "Geen reden opgegeven";
	}
	
	$data[]=$row;
}

$theme->assign('ban_list', $data);

$theme->display('page_ctbans.tpl');
?>
